jQuery(document).ready(function($) {
	
	$("#check-header").on('click',function(e) {
		  var checkboxes = $(this).closest('form').find(':checkbox').not($(this));
		  checkboxes.prop('checked', $(this).is(':checked'));
	
	});
	
	$(".registro-tabla").on('mouseover',function(e) {
		 $(".acciones").css("visibility","hidden");
		 $(this).children("#acciones").css("visibility","visible");
		
	
	});
	
	$(".delete-link").on('click',function(e) {
		var concept_id = $(this).data("cid");
	
		 $(this).css("color","red");
		 
			var data = {
					
					id:concept_id,
			 		action:'deleteConcept'
				};
			jQuery(".loading-icon-modal-2").show();
			jQuery.post(ajax_object.ajax_url, data, function(response) {			
					  if ( response.data=="concept_deleted" ) {
							
							jQuery("#modal-message-proj-txt").show();
							jQuery("#mail_error").css("visibility","hidden");
							
							
							setTimeout(function() {
								jQuery(".loading-icon-modal-2").hide();
								jQuery("#modal-message-proj-txt").hide();
								location.reload();
							}, 3000);
								
						} else{
							jQuery("#modal-message-proj-txt").hide();
							setTimeout(function() {
								jQuery(".loading-icon-modal-2").hide();
								jQuery("#modal-message-proj-txt").hide();
								location.reload();
							}, 3000);
						}	
				
	
	});
			
	});
	jQuery("#button-save-user").click(function(e) {

	
	/*	var productos = jQuery("#fltrs-bbltc-productos").val();
		var newsletter = jQuery("#newsletter").val();
		var custom_newsletter = jQuery("#custom_newsletter").val();
		var userID=jQuery("#id").val();
		var userName=jQuery("#nombre").val();
		var userEmail=jQuery("#mail").val();
		var userLastName=jQuery("#apellido").val();
		var action='updateuser';*/
		

		jQuery(".loading-icon-modal-1").show();
		
		var data = {
				
				newsletter: jQuery("#newsletter").val(),				
		 		custom_newsletter : jQuery("#custom_newsletter").val(),
		 		userName:jQuery("#nombre").val(),
		 		userEmail:jQuery("#mail").val(),
		 		userLastName:jQuery("#apellido").val(),
		 		productos:jQuery("#fltrs-bbltc-productos").val(),
		 		id:jQuery("#id").val(),
		 		action:'updateuser'
			};

		jQuery.post(ajax_object.ajax_url, data, function(response) {			
					if ( response.data=="email_error" ) {
						jQuery("#mail_error").css("visibility","visible");
						jQuery(".loading-icon-modal-1").hide();

					} else if ( response.data=="user_saved" ) {
						
						jQuery("#modal-message-proj-txt").show();
						jQuery("#mail_error").css("visibility","hidden");
						
						jQuery(".loading-icon-modal-1").hide();
						setTimeout(function() {
							
							jQuery("#modal-message-proj-txt").hide();
							location.reload();
						}, 3000);
							
					} else{
						jQuery("#modal-message-proj-txt").hide();
						
						setTimeout(function() {
							
							jQuery("#modal-message-proj-txt").hide();
							jQuery(".loading-icon-modal-1").hide();
							location.reload();
						}, 3000);
							
					}	
			
		});
		

		});
	
	jQuery("#button-add-concept").click(function(e) {
			
			jQuery(".loading-icon-modal-2").show();
			
			var data = {
					
					concepto: jQuery("#concepto").val(),				
			 
			 		id:jQuery("#id").val(),
			 		action:'insertConcept'
				};

			jQuery.post(ajax_object.ajax_url, data, function(response) {			
						if ( response.data=="email_error" ) {
							jQuery("#mail_error").css("visibility","visible");
							jQuery(".loading-icon-modal-2").hide();

						} else if ( response.data=="term_saved" ) {
							
							jQuery("#modal-message-proj-txt").show();
							jQuery("#mail_error").css("visibility","hidden");
							
							jQuery(".loading-icon-modal-2").hide();
							setTimeout(function() {
								
								jQuery("#modal-message-proj-txt").hide();
								location.reload();
							}, 3000);
								
						} else{
							jQuery("#modal-message-proj-txt").hide();
							setTimeout(function() {
								
								jQuery("#modal-message-proj-txt").hide();
								jQuery(".loading-icon-modal-1").hide();
								location.reload();
							}, 3000);
						}	
				
			});
			

			});
	
});
